import { Middleware, route } from "@/routing";
import { useSelector } from "react-redux";
import { isReady } from "@/state/reducer";
import { Redirect } from "react-router-dom";
import React from "react";

export const isReadyMiddleware: Middleware<any, any> = next => {
    const ready = useSelector(isReady);

    if (ready) {
        return next();
    }

    return <Redirect to={ route("edition_pick") } />;
}
